package com.ruoyi.inspection.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 巡检点管理对象 inspection_manage_table
 *
 * @author ruoyi
 * @date 2024-08-29
 */

public class InspectionManageTable extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 巡检点 */
    @Excel(name = "巡检点")
    private String inspectionPoint;

    /** 巡检要求 */
    @Excel(name = "巡检要求")
    private String inspectionRequirements;

    /** 巡检点状态 */
    @Excel(name = "巡检点状态")
    private String inspectionStatus;

    /** 巡检点类型 */
    @Excel(name = "巡检点类型", dictType = "inspection_point_type")
    private String inspectionPointType;

    private int inspectionCount;

    public int getInspectionCount() {
        return inspectionCount;
    }

    public void setInspectionCount(int inspectionCount) {
        this.inspectionCount = inspectionCount;
    }

    /** 巡检二维码 */
    private String inspectionQrCode;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setInspectionPoint(String inspectionPoint)
    {
        this.inspectionPoint = inspectionPoint;
    }

    public String getInspectionPoint()
    {
        return inspectionPoint;
    }
    public void setInspectionRequirements(String inspectionRequirements)
    {
        this.inspectionRequirements = inspectionRequirements;
    }

    public String getInspectionRequirements()
    {
        return inspectionRequirements;
    }
    public void setInspectionStatus(String inspectionStatus)
    {
        this.inspectionStatus = inspectionStatus;
    }

    public String getInspectionStatus()
    {
        return inspectionStatus;
    }
    public void setInspectionQrCode(String inspectionQrCode)
    {
        this.inspectionQrCode = inspectionQrCode;
    }

    public String getInspectionQrCode()
    {
        return inspectionQrCode;
    }

    public void setInspectionPointType(String inspectionPointType)
    {
        this.inspectionPointType = inspectionPointType;
    }

    public String getInspectionPointType()
    {
        return inspectionPointType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("inspectionPoint", getInspectionPoint())
            .append("inspectionRequirements", getInspectionRequirements())
            .append("inspectionStatus", getInspectionStatus())
            .append("inspectionPointType", getInspectionPointType())
            .append("inspectionQrCode", getInspectionQrCode())
            .toString();
    }

}
